create table content
(
    reference_document varchar(36)          not null comment 'The primary reference document that the content is from'
        primary key,
    body               mediumtext           not null comment 'UTF-8 encoding body content, max content length 16MB (16,777,216 bytes)',
    content_type       tinytext             not null comment 'The content type of the body',
    priority           tinyint(1) default 0 not null comment 'Indicates if the message was sent as a priority',
    constraint content_reference_document_uindex
        unique (reference_document),
    constraint content_query_documents_document_id_fk
        foreign key (reference_document) references query_documents (document_id)
)
    comment 'The table for housing the content of the messages';